Summary:        Python library to mock out calls with Python requests
Name:           python-responses
Version:        0.22.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/getsentry/responses
Source0:        https://github.com/getsentry/responses/archive/refs/tags/responses-%{version}.tar.gz
Patch3000:      python-responses-remove-types-toml.patch

BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest

%description
A utility library for mocking out the requests Python library.

%package -n python3-responses
Summary:        Python library to mock out calls with Python requests

%description -n python%{python3_pkgversion}-responses
A utility library for mocking out the requests Python library.

%prep
%autosetup -n responses-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files responses
sed -i -e '/\/tests\//d' %{pyproject_files}

%check
%pytest -k "not passthrough and not passthru and not test_mock_not_leaked and not test_recorder"

%files -n python3-responses -f %{pyproject_files}
%license LICENSE
%doc README.rst
%exclude %{python3_sitelib}/responses/tests

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.22.0-1
- package init.

